<?
 /*SCRIPT PARA MANTENIMIENTO DE GRADOS ESCOLARES */
 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/
  include("../fnc.php");
  enlinea_a();

  if(!$tipo_trn){
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }

  switch($tipo_trn){
   case "Add":
    $id_grado=dec($idgrado);
    if(!$txtunidad){alert("Ingrese un nombre de unidad","javascript:history.go(-1)");}
    if(!$txten_numeros){alert("Ingrese el número de la unidad");}
    
    $qver=mysql_query("select * from unidades_grados where unidad = '$txtunidad' and grado = $id_grado");
    if(mysql_num_rows($qver)>0){
      $iver=mysql_fetch_array($qver);
      alert("El nombre de la unidad que ingresó ya existe","javascript:history.go(-1)");
    }

                $txtunidad=pmayuscula($txtunidad);
                $sql="insert into
                      unidades_grados
                      set grado='$id_grado',
                      unidad='$txtunidad',
                      en_numeros = '$txten_numeros'";

                 $ins=mysql_query($sql);
                 if($ins){
                  //alert("Unidad $txtunidad \\nagregada con éxito","frm_grado_v2.php?idgrado=$idg");
                  header("Location: ./frm_grado_unidades_v2.php?idgrado=$idgrado");
                 }else{
                  echo "ERROR: ".mysql_error();
                 }
   break;

   case "Update":
    $idunidad=base64_decode($idu);
    $qver=mysql_query("select * from unidades_grados where id = '$idunidad'");
    if(mysql_num_rows($qver)==0){
      $iver=mysql_fetch_array($qver);
      alert("ERROR: La unidad no existe","javascript:history.go(-1)");
    }
                $idgrado=base64_decode($idg);

                $sql="update
                      unidades_grados
                      set unidad='$txtunidad',
                      en_numeros = '$txten_numeros'
                      where id=$idunidad";

                 $upd=mysql_query($sql);
                 if($upd){
                   //alert("Unidad $txtunidad \\nactualizada con éxito","frm_grado_v2.php?idgrado=$idg");
                   $idg=base64_decode($idg);
                   header("Location: ./frm_grado_unidades_v2.php?idgrado=$idg");
                 }else{
                   echo "ERROR: ".mysql_error();
                 }
   break;
   
   case "Delete":
   
   
   if($confirm=="OK"){
   
    $idunidad=base64_decode($idu);
    $del=mysql_query("delete from unidades_grados where id = '$idunidad'");
    
    header("Location: ./frm_grado_unidades_v2.php?idgrado=$idg");
   }else{
    header("Location: ./frm_grado_unidades_v2.php?idgrado=$idg");
   }
   break;


   case "Status":
                 $id_un=dec($idu);
                 $sql="update unidades_grados
                       set estado = '$new_status'
                       where id = $id_un";
                 $res=mysql_query($sql);
                 header("Location: ./frm_grado_unidades_v2.php?idgrado=$idgrado");
   break;
   
   case "PubNotas":
                 $id_un=dec($idu);
                 $sql="update unidades_grados
                       set publicar_notas = '$new_status'
                       where id = $id_un";
                 $res=mysql_query($sql);
                 header("Location: ./frm_grado_unidades_v2.php?idgrado=$idgrado");
   break;
   
   default:
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }
?>
